> ## Documentation Index
> Fetch the complete documentation index at: https://developers.remeinium.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Example section for showcasing API endpoints

## Welcome

There are 7 API endpoints that you can access.

### Endpoints

1. `/get_embedding`
2. `/word_similarity`
3. `/nearest_neighbors`
4. `/sentence_embedding`
5. `/sentence_similarity`
6. `/_index_upload`
7. `/_search_wrapper`

### Quick Start

<Tabs>
  <Tab title="Python">
    1. Install the python client ([<u>gradio docs</u>](https://www.gradio.app/guides/getting-started-with-the-python-client)) if you don't already have it installed.

    ```bash theme={null}
    pip install gradio_client
    ```

    2. Here's your first API call

    ```python theme={null}
    from gradio_client import Client

    client = Client("Remeinium/Embedding_Siyabasa")
    result = client.predict(
        word="අම්මා",
        api_name="/get_embedding"
    )
    print(json.dumps(result, indent=4))
    ```
  </Tab>

  <Tab title="Javascript">
    1. Install the javascript client ([<u>docs</u>](https://www.gradio.app/guides/getting-started-with-the-js-client)) if you don't already have it installed.

    ```javascript theme={null}
    $ npm i -D @gradio/client
    ```

    2. Here's your first API call

    ```javascript theme={null}
    import { Client } from "@gradio/client";

    const client = await Client.connect("Remeinium/Embedding_Siyabasa");
    const result = await client.predict("/get_embedding", {
        word: "අම්මා"
    });
    console.log(result.data);
    ```
  </Tab>

  <Tab title="cURL">
    ```bash theme={null}
    curl -X POST https://remeinium-embedding-siyabasa.hf.space/gradio_api/call/get_embedding \
      -H "Content-Type: application/json" \
      -d '{"data": ["අම්මා"]}' | awk -F'"' '{ print $4}' | read EVENT_ID; \
    curl -N https://remeinium-embedding-siyabasa.hf.space/gradio_api/call/get_embedding/$EVENT_ID
    ```
  </Tab>
</Tabs>

<Tip>
  **See detailed usage examples**

  Go to next Topic >
</Tip>
